Bug 446595 - grub boottime password do not use keyboard layout
grub boottime password do not use keyboard layout
Status: CLOSED NEXTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
low Severity low
: ---
: ---
Assigned To: David Nalley
Ruediger Landmann
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 05:33 EDT by meka
Modified: 2009-07-27 01:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 01:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description meka 2008-05-15 05:33:56 EDT
Description of problem:

 When using boottime password to unlock grub stuff,
it will always use qwerty keyboard layout, would be nice to add a warning
or something at install time when prompted for a bootime password.

Version-Release number of selected component (if applicable):


How reproducible:
use non qwerty keyboard layout at install time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
wrong password

Expected results:
good password! ;)

Additional info:
Comment 1 Bill Nottingham 2008-05-15 13:43:05 EDT
Assigning to anaconda, this really can't be changed on the grub side.
Comment 2 Michael Price 2009-03-04 14:49:18 EST
This bug has been triaged
Comment 3 Bug Zapper 2009-06-09 20:50:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Lumens 2009-07-09 17:08:00 EDT
The best approach I can come up with here is we force the keyboard layout to qwerty for the bootloader password dialog, then force it back to whatever it was in afterwards.  That's pretty insane and not very user-friendly, though, but it's the best I've got.
Comment 5 Bug Zapper 2009-07-14 10:59:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Andy Lindeberg 2009-07-14 11:11:20 EDT
Much as I dislike Bug Zapper's intrusion, it's sort of correct. The "fix" Chris mentioned is very ugly and we'd rather not do it if at all possible.

What we can do is get better documentation on how to switch between keyboard layouts, as a workaround to this problem. (In case you're wondering, it's press both shift keys to switch between your keyboard and the American English layout.) Reopening and sending off to install-guide.
Comment 7 Ruediger Landmann 2009-07-27 01:24:27 EDT
I've added a note about this in the Fedora and RHEL Installation Guides; this will become visible next time we republish the guides.

Note You need to log in before you can comment on or make changes to this bug.